Bug 218210 - Review Request: chemical-mime-data - Support for chemical/* MIME types
Review Request: chemical-mime-data - Support for chemical/* MIME types
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 218172
  Show dependency treegraph
 
Reported: 2006-12-03 07:42 EST by Julian Sikorski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-06 02:54:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2006-12-03 07:42:41 EST
Spec URL: http://www.republika.pl/belegdol/rpmstuff/chemical-mime-data.spec
SRPM URL: http://www.republika.pl/belegdol/rpmstuff/chemical-mime-data-0.1.93-1.src.rpm
Description: A collection of data files which tries to give support for various chemical MIME types (chemical/*) on Linux/UNIX desktops. Chemical MIME's have been proposed in 1995, though it seems they have never been registered with IANA.

Package builds fine inside mock. Rpmlint is silent for source rpm, but outputs the following for binary one:
E: chemical-mime-data no-binary
W: chemical-mime-data devel-file-in-non-devel-package /usr/share/pkgconfig/chemical-mime-data.pc
I think that it is harmless, and similar to gnome-mime-data package.
Comment 1 Michał Bentkowski 2006-12-03 08:10:57 EST
Nice to see another Pole's trying to put his package into Extras :) Good luck!
As for rpmlint output, you can simple shut it up by adding "BuildArch: noarch"
in preamble.
Also, there are some missing dependencies. This package owns files in some
directories owned by other packages. Probably, you have to remove crystalsvg
icons and mimelnk as they're owned by kdelibs package so
they make unneeded kde dependency. %{_datadir}/icons/hicolor creates
hicolor-icon-theme dep; {_datadir}/mime/packages - shared-mime-info.
These are all things need to be fixed I found at first sight :)
Comment 2 Julian Sikorski 2006-12-03 08:23:40 EST
Well, I have checked gnome-mime-data package and the comment form the spec says:
### WE ARE NOT NOARCH, /usr/lib/pkgconfig is not noarch. 
### don't change this and don't file a bug. ;-)
As for dependencies, I don't think that I understand a problem. We want chemical
MIME support for KDE as well, don't we? So shall I add kdelibs,
hicolor-icon-theme and shared-mime-info to Requires?
Comment 3 Mamoru TASAKA 2006-12-03 08:35:05 EST
(In reply to comment #2)
> Well, I have checked gnome-mime-data package and the comment form the spec says:
> ### WE ARE NOT NOARCH, /usr/lib/pkgconfig is not noarch. 
> ### don't change this and don't file a bug. ;-)
Yes. .pc file is arch-dependent and if this package requires
this file this package canNOT be noarch.
However....
* Is this file needed?
* Anyway the directory is wrong. Currently pc file is under 
 %{_datadir}/pkgconfig, which should be %{_libdir}/pkgconfig

> As for dependencies, I don't think that I understand a problem. We want chemical
> MIME support for KDE as well, don't we? So shall I add kdelibs,
> hicolor-icon-theme and shared-mime-info to Requires?
Owning the directory:
* which is owned by other packages
* however, all the packages which own the directory is not needed
  for the package
is _NOT_ prohibited, and in that case it is the package which
should also own the directory.

Comment 4 Mamoru TASAKA 2006-12-03 08:37:21 EST
By the way I have not yet checked this package...
Comment 5 Julian Sikorski 2006-12-03 08:43:05 EST
(In reply to comment #3)
> (In reply to comment #2)
> > Well, I have checked gnome-mime-data package and the comment form the spec says:
> > ### WE ARE NOT NOARCH, /usr/lib/pkgconfig is not noarch. 
> > ### don't change this and don't file a bug. ;-)
> Yes. .pc file is arch-dependent and if this package requires
> this file this package canNOT be noarch.
> However....
> * Is this file needed?
> * Anyway the directory is wrong. Currently pc file is under 
>  %{_datadir}/pkgconfig, which should be %{_libdir}/pkgconfig
> 

Strange, but that's where it got installed by default. I have some files in
%{_datadir}/pkgconfig here: xml2po.pc, gnome, icon-theme.pc and a few others. I
can probably fix it to install pkgconfig file into %{_libdir}, though.
Comment 6 Michał Bentkowski 2006-12-03 08:52:39 EST
(In reply to comment #3)
> Owning the directory:
> * which is owned by other packages
> * however, all the packages which own the directory is not needed
>   for the package
> is _NOT_ prohibited, and in that case it is the package which
> should also own the directory.

Thus chemical-mime-data should also own a %{_datadir}/mimelnk dir. If it doesn't
then removing it will leave empty %{_datadir}/mimelnk dir unowned. I believe
that hicolor-icon-theme and shared-mime-info should be required by this package
nevertheless. A lot of packages own hicolor-icon-theme and it isn't a problem.
Also, shared-mime-info looks like a package related with chemical-mime-data
so requiring it may be necessary.
Comment 7 Mamoru TASAKA 2006-12-03 10:06:35 EST
Well, for directory ownership issue:

/usr/share/icons/crystalsvg/
- (Under my envoronment) only owned by kdelibs.
  I think this package should own this
  (The subdirectories should also)

- /usr/share/icons/hicolor/
  For this directory, adding hicolor-icon-theme to Requires
  is a simplest solution as MichaÅ commented 
  (sorry, however the last character of your first name
  is corrupted in my browser)

- /usr/share/mime
  Requiring shared-mime-info should be the simplest.

- /usr/share/mimelnk/
  Only owned by kdelibs and Ooo related packages.
  This directory should be owned by this package.
Comment 8 Julian Sikorski 2006-12-03 14:36:27 EST
Spec URL: http://www.republika.pl/belegdol/rpmstuff/chemical-mime-data.spec
SRPM URL:
http://www.republika.pl/belegdol/rpmstuff/chemical-mime-data-0.1.93-2.src.rpm
New release:
- Fixed ownership
- Fixed .pc file location

I'm not sure I've fixed the ownership issues correctly, please advise.
Comment 9 Mamoru TASAKA 2006-12-04 02:12:25 EST
(In reply to comment #7)
> - /usr/share/mime
>   Requiring shared-mime-info should be the simplest.

Oh, requiring shared-mime-info is _mandatory_ as .pc file
requires it.

(In reply to comment #8)
> I'm not sure I've fixed the ownership issues correctly, please advise.
0.1.93-2 is okay.

Well, then
* %doc INSTALL
- This is not necessary because it is required for installing
  this package by himself.

Other things are okay.
-----------------------------------------------------
  This package (chemical-mime-data) is APPROVED by me.
-----------------------------------------------------

Please go forward according to 

http://fedoraproject.org/wiki/Extras/Contributors

to import this package to Fedora Extras. I will sponsor
you when you have taken steps partway written in the page above
(then I should receive the mail that you need a sponsor)
Comment 10 Julian Sikorski 2006-12-04 02:37:42 EST
Spec URL: http://www.republika.pl/belegdol/rpmstuff/chemical-mime-data.spec
SRPM URL:
http://www.republika.pl/belegdol/rpmstuff/chemical-mime-data-0.1.93-3.src.rpm
New release:
- Removed INSTALL from %doc

Thank you for sponsorship. I'll create the account now.
Comment 11 Mamoru TASAKA 2006-12-04 20:55:02 EST
Removing FE-NEEDSPONSOR, now I am sponsoring.
Comment 12 Julian Sikorski 2006-12-05 03:19:20 EST
Package imported, FC-5 and FC-6 branches requested.
Comment 13 Mamoru TASAKA 2006-12-05 06:35:51 EST
You can close this bug as CLOSED NEXTRELEASE when you 
succeeds in rebuilding this on FE-devel.

Note You need to log in before you can comment on or make changes to this bug.